
Cisco Evolved Programmable Network Manager API
Evolved Programmable Network Manager API Documentation

# PUT wlanProvisioning/interface

Schedules a job to modify an existing interface on a Wlan Controller. The interfaceName attribute must match the existing interface to be modified, and cannot be changed.

Since Product Version: 2.2

- Jump To

- v1
- v2
- v3
- v4

### Resource Information

Rate Limiting? | No
Sorting? | No
Paging? | No
Filtering? | No
Group Filtering? | No
Aggregation? | No
Response Formats | xml json
User Group | NBI Write
HTTP Methods | PUT

API version v1 is deprecated

This API version has been deprecated. It will be removed in a future release of the product. Please develop new clients using the latest API version. Please modify your existing clients to use a later API version.

## Resource URL

/webacs/api/v1/op/wlanProvisioning/interface

## Request Payload Parameters

Attribute | Description
--- | ---
aclName String | The access control list name for this interface. Optional, defaults to none; ignored if isGuestLan is true.
controllerId Long | Identifies the controller to apply the changes to. Either controllerId or controllerName must be specified.
controllerName String | Identifies the controller to apply the changes to. Either controllerId or controllerName must be specified.
dhcpProtocolEnabled Boolean | Is DHCP option 82 enabled? Optional, defaults to false.
gateway InetAddress | The gateway IP address for this interface. Ignored if isGuestLan is true.
interfaceApManagementEnabled Boolean | Is dynamic AP management enabled? Optional, default to false; ignored if isGuestLan is true.
interfaceName String | The name of the interface.
ipAddress InetAddress | The IP address for this interface. Ignored if isGuestLan is true.
isGuestLan Boolean | Is this a guest lan? Optional, defaults to false.
netMask InetAddress | The network mask for this interface. Ignored if isGuestLan is true.
portNum Integer | The primary port number.
primaryDhcpAddress InetAddress | The primary DHCP server address. Ignored if isGuestLan is true.
quarantineInterface Boolean | Is this a quarantined interface? Optional, defaults to false; ignored if isGuestLan is true.
quarantineVlanId Integer | The quarantine vlan id for this interface. Ignored if quarantineInterface is false.
secondaryDhcpAddress InetAddress | The secondary DHCP server address. Ignored if isGuestLan is true.
secondaryPortNum Integer | The secondary port number. Optional.
vlanId Integer | The vlan for this interface.

## Response Parameters

Attribute | Description
--- | ---
jobName String | The unique job name for this job.
jobType String | The non-unique job type for this job.

## Sample Payloads

Sample payloads are for information only. They are automatically generated and the values included may not be representative of actual valid data values.

### Sample XML Request Payload

https://10.64.88.203/webacs/api/v1/op/wlanProvisioning/interface

    <?xml version="1.0" ?>
    <interface>
      <controllerId>15</controllerId>
      <controllerName>String value</controllerName>
      <aclName>String value</aclName>
      <dhcpProtocolEnabled>true</dhcpProtocolEnabled>
      <gateway>
        <address>192.168.115.243</address>
      </gateway>
      <interfaceApManagementEnabled>true</interfaceApManagementEnabled>
      <interfaceName>String value</interfaceName>
      <ipAddress>
        <address>192.168.115.243</address>
      </ipAddress>
      <isGuestLan>true</isGuestLan>
      <netMask>
        <address>192.168.115.243</address>
      </netMask>
      <portNum>15</portNum>
      <primaryDhcpAddress>
        <address>192.168.115.243</address>
      </primaryDhcpAddress>
      <quarantineInterface>true</quarantineInterface>
      <quarantineVlanId>15</quarantineVlanId>
      <secondaryDhcpAddress>
        <address>192.168.115.243</address>
      </secondaryDhcpAddress>
      <secondaryPortNum>15</secondaryPortNum>
      <vlanId>15</vlanId>
    </interface>

### Sample JSON Request Payload

https://10.64.88.203/webacs/api/v1/op/wlanProvisioning/interface.json

    {
      "interface" : {
        "controllerId" : 15,
        "controllerName" : "String value",
        "aclName" : "String value",
        "dhcpProtocolEnabled" : true,
        "gateway" : {
          "address" : "192.168.115.243"
        },
        "interfaceApManagementEnabled" : true,
        "interfaceName" : "String value",
        "ipAddress" : {
          "address" : "192.168.115.243"
        },
        "isGuestLan" : true,
        "netMask" : {
          "address" : "192.168.115.243"
        },
        "portNum" : 15,
        "primaryDhcpAddress" : {
          "address" : "192.168.115.243"
        },
        "quarantineInterface" : true,
        "quarantineVlanId" : 15,
        "secondaryDhcpAddress" : {
          "address" : "192.168.115.243"
        },
        "secondaryPortNum" : 15,
        "vlanId" : 15
      }
    }

### Sample XML Response Payload

https://10.64.88.203/webacs/api/v1/op/wlanProvisioning/interface

    <?xml version="1.0" ?>
    <mgmtResponse responseType="operation" requestUrl="../../../../../pages/common/login.jsp.html" rootUrl="https://10.64.88.203/webacs/api/v1/op">
      <jobInformation>
        <jobName>String value</jobName>
        <jobType>String value</jobType>
      </jobInformation>
    </mgmtResponse>

### Sample JSON Response Payload

https://10.64.88.203/webacs/api/v1/op/wlanProvisioning/interface.json

    {
      "mgmtResponse" : {
        "@responseType" : "operation",
        "@requestUrl" : "https : //10.64.88.203/webacs/api/v1/op/wlanProvisioning/interface",
        "@rootUrl" : "https : //10.64.88.203/webacs/api/v1/op",
        "jobInformation" : {
          "jobName" : "String value",
          "jobType" : "String value"
        }
      }
    }

### Resource Information

Rate Limiting? | No
Sorting? | No
Paging? | No
Filtering? | No
Group Filtering? | No
Aggregation? | No
Response Formats | xml json
User Group | NBI Write
HTTP Methods | PUT

## Resource URL

/webacs/api/v2/op/wlanProvisioning/interface

Unmodified

This resource has not been modified since the previous API version.

## Request Payload Parameters

Attribute | Description
--- | ---
aclName String | The access control list name for this interface. Optional, defaults to none; ignored if isGuestLan is true.
controllerId Long | Identifies the controller to apply the changes to. Either controllerId or controllerName must be specified.
controllerName String | Identifies the controller to apply the changes to. Either controllerId or controllerName must be specified.
dhcpProtocolEnabled Boolean | Is DHCP option 82 enabled? Optional, defaults to false.
gateway InetAddress | The gateway IP address for this interface. Ignored if isGuestLan is true.
interfaceApManagementEnabled Boolean | Is dynamic AP management enabled? Optional, default to false; ignored if isGuestLan is true.
interfaceName String | The name of the interface.
ipAddress InetAddress | The IP address for this interface. Ignored if isGuestLan is true.
isGuestLan Boolean | Is this a guest lan? Optional, defaults to false.
netMask InetAddress | The network mask for this interface. Ignored if isGuestLan is true.
portNum Integer | The primary port number.
primaryDhcpAddress InetAddress | The primary DHCP server address. Ignored if isGuestLan is true.
quarantineInterface Boolean | Is this a quarantined interface? Optional, defaults to false; ignored if isGuestLan is true.
quarantineVlanId Integer | The quarantine vlan id for this interface. Ignored if quarantineInterface is false.
secondaryDhcpAddress InetAddress | The secondary DHCP server address. Ignored if isGuestLan is true.
secondaryPortNum Integer | The secondary port number. Optional.
vlanId Integer | The vlan for this interface.

## Response Parameters

Attribute | Description
--- | ---
jobName String | The unique job name for this job.
jobType String | The non-unique job type for this job.

## Sample Payloads

Sample payloads are for information only. They are automatically generated and the values included may not be representative of actual valid data values.

### Sample XML Request Payload

https://10.64.88.203/webacs/api/v2/op/wlanProvisioning/interface

    <?xml version="1.0" ?>
    <interface>
      <controllerId>15</controllerId>
      <controllerName>String value</controllerName>
      <aclName>String value</aclName>
      <dhcpProtocolEnabled>true</dhcpProtocolEnabled>
      <gateway>
        <address>192.168.115.243</address>
      </gateway>
      <interfaceApManagementEnabled>true</interfaceApManagementEnabled>
      <interfaceName>String value</interfaceName>
      <ipAddress>
        <address>192.168.115.243</address>
      </ipAddress>
      <isGuestLan>true</isGuestLan>
      <netMask>
        <address>192.168.115.243</address>
      </netMask>
      <portNum>15</portNum>
      <primaryDhcpAddress>
        <address>192.168.115.243</address>
      </primaryDhcpAddress>
      <quarantineInterface>true</quarantineInterface>
      <quarantineVlanId>15</quarantineVlanId>
      <secondaryDhcpAddress>
        <address>192.168.115.243</address>
      </secondaryDhcpAddress>
      <secondaryPortNum>15</secondaryPortNum>
      <vlanId>15</vlanId>
    </interface>

### Sample JSON Request Payload

https://10.64.88.203/webacs/api/v2/op/wlanProvisioning/interface.json

    {
      "interface" : {
        "aclName" : "String value",
        "controllerId" : 15,
        "controllerName" : "String value",
        "dhcpProtocolEnabled" : true,
        "gateway" : {
          "address" : "192.168.115.243"
        },
        "interfaceApManagementEnabled" : true,
        "interfaceName" : "String value",
        "ipAddress" : {
          "address" : "192.168.115.243"
        },
        "isGuestLan" : true,
        "netMask" : {
          "address" : "192.168.115.243"
        },
        "portNum" : 15,
        "primaryDhcpAddress" : {
          "address" : "192.168.115.243"
        },
        "quarantineInterface" : true,
        "quarantineVlanId" : 15,
        "secondaryDhcpAddress" : {
          "address" : "192.168.115.243"
        },
        "secondaryPortNum" : 15,
        "vlanId" : 15
      }
    }

### Sample XML Response Payload

https://10.64.88.203/webacs/api/v2/op/wlanProvisioning/interface

    <?xml version="1.0" ?>
    <mgmtResponse responseType="operation" requestUrl="../../../../../pages/common/login.jsp.html" rootUrl="https://10.64.88.203/webacs/api/v2/op">
      <jobInformation>
        <jobName>String value</jobName>
        <jobType>String value</jobType>
      </jobInformation>
    </mgmtResponse>

### Sample JSON Response Payload

https://10.64.88.203/webacs/api/v2/op/wlanProvisioning/interface.json

    {
      "mgmtResponse" : {
        "@requestUrl" : "../../../../../pages/common/login.jsp.html",
        "@responseType" : "operation",
        "@rootUrl" : "https://10.64.88.203/webacs/api/v2/op",
        "jobInformation" : [ {
          "jobName" : "String value",
          "jobType" : "String value"
        } ]
      }
    }

### Resource Information

Rate Limiting? | No
Sorting? | No
Paging? | No
Filtering? | No
Group Filtering? | No
Aggregation? | No
Response Formats | xml json
User Group | NBI Write
HTTP Methods | PUT

## Resource URL

/webacs/api/v3/op/wlanProvisioning/interface

Unmodified

This resource has not been modified since the previous API version.

## Request Payload Parameters

Attribute | Description
--- | ---
aclName String | The access control list name for this interface. Optional, defaults to none; ignored if isGuestLan is true.
controllerId Long | Identifies the controller to apply the changes to. Either controllerId or controllerName must be specified.
controllerName String | Identifies the controller to apply the changes to. Either controllerId or controllerName must be specified.
dhcpProtocolEnabled Boolean | Is DHCP option 82 enabled? Optional, defaults to false.
gateway InetAddress | The gateway IP address for this interface. Ignored if isGuestLan is true.
interfaceApManagementEnabled Boolean | Is dynamic AP management enabled? Optional, default to false; ignored if isGuestLan is true.
interfaceName String | The name of the interface.
ipAddress InetAddress | The IP address for this interface. Ignored if isGuestLan is true.
isGuestLan Boolean | Is this a guest lan? Optional, defaults to false.
netMask InetAddress | The network mask for this interface. Ignored if isGuestLan is true.
portNum Integer | The primary port number.
primaryDhcpAddress InetAddress | The primary DHCP server address. Ignored if isGuestLan is true.
quarantineInterface Boolean | Is this a quarantined interface? Optional, defaults to false; ignored if isGuestLan is true.
quarantineVlanId Integer | The quarantine vlan id for this interface. Ignored if quarantineInterface is false.
secondaryDhcpAddress InetAddress | The secondary DHCP server address. Ignored if isGuestLan is true.
secondaryPortNum Integer | The secondary port number. Optional.
vlanId Integer | The vlan for this interface.

## Response Parameters

Attribute | Description
--- | ---
jobName String | The unique job name for this job.
jobType String | The non-unique job type for this job.

## Sample Payloads

Sample payloads are for information only. They are automatically generated and the values included may not be representative of actual valid data values.

### Sample XML Request Payload

https://10.64.88.203/webacs/api/v3/op/wlanProvisioning/interface

    <?xml version="1.0" ?>
    <interface>
      <controllerId>15</controllerId>
      <controllerName>String value</controllerName>
      <aclName>String value</aclName>
      <dhcpProtocolEnabled>true</dhcpProtocolEnabled>
      <gateway>
        <address>192.168.115.243</address>
      </gateway>
      <interfaceApManagementEnabled>true</interfaceApManagementEnabled>
      <interfaceName>String value</interfaceName>
      <ipAddress>
        <address>192.168.115.243</address>
      </ipAddress>
      <isGuestLan>true</isGuestLan>
      <netMask>
        <address>192.168.115.243</address>
      </netMask>
      <portNum>15</portNum>
      <primaryDhcpAddress>
        <address>192.168.115.243</address>
      </primaryDhcpAddress>
      <quarantineInterface>true</quarantineInterface>
      <quarantineVlanId>15</quarantineVlanId>
      <secondaryDhcpAddress>
        <address>192.168.115.243</address>
      </secondaryDhcpAddress>
      <secondaryPortNum>15</secondaryPortNum>
      <vlanId>15</vlanId>
    </interface>

### Sample JSON Request Payload

https://10.64.88.203/webacs/api/v3/op/wlanProvisioning/interface.json

    {
      "interface" : {
        "aclName" : "String value",
        "controllerId" : 15,
        "controllerName" : "String value",
        "dhcpProtocolEnabled" : true,
        "gateway" : {
          "address" : "192.168.115.243"
        },
        "interfaceApManagementEnabled" : true,
        "interfaceName" : "String value",
        "ipAddress" : {
          "address" : "192.168.115.243"
        },
        "isGuestLan" : true,
        "netMask" : {
          "address" : "192.168.115.243"
        },
        "portNum" : 15,
        "primaryDhcpAddress" : {
          "address" : "192.168.115.243"
        },
        "quarantineInterface" : true,
        "quarantineVlanId" : 15,
        "secondaryDhcpAddress" : {
          "address" : "192.168.115.243"
        },
        "secondaryPortNum" : 15,
        "vlanId" : 15
      }
    }

### Sample XML Response Payload

https://10.64.88.203/webacs/api/v3/op/wlanProvisioning/interface

    <?xml version="1.0" ?>
    <mgmtResponse responseType="operation" requestUrl="../../../../../pages/common/login.jsp.html" rootUrl="https://10.64.88.203/webacs/api/v3/op">
      <jobInformation>
        <jobName>String value</jobName>
        <jobType>String value</jobType>
      </jobInformation>
    </mgmtResponse>

### Sample JSON Response Payload

https://10.64.88.203/webacs/api/v3/op/wlanProvisioning/interface.json

    {
      "mgmtResponse" : {
        "@requestUrl" : "../../../../../pages/common/login.jsp.html",
        "@responseType" : "operation",
        "@rootUrl" : "https://10.64.88.203/webacs/api/v3/op",
        "jobInformation" : [ {
          "jobName" : "String value",
          "jobType" : "String value"
        } ]
      }
    }

### Resource Information

Rate Limiting? | No
Sorting? | No
Paging? | No
Filtering? | No
Group Filtering? | No
Aggregation? | No
Response Formats | xml json
User Group | NBI Write
HTTP Methods | PUT

## Resource URL

/webacs/api/v4/op/wlanProvisioning/interface

Unmodified

This resource has not been modified since the previous API version.

## Request Payload Parameters

Attribute | Description
--- | ---
aclName String | The access control list name for this interface. Optional, defaults to none; ignored if isGuestLan is true.
controllerId Long | Identifies the controller to apply the changes to. Either controllerId or controllerName must be specified.
controllerName String | Identifies the controller to apply the changes to. Either controllerId or controllerName must be specified.
dhcpProtocolEnabled Boolean | Is DHCP option 82 enabled? Optional, defaults to false.
gateway InetAddress | The gateway IP address for this interface. Ignored if isGuestLan is true.
interfaceApManagementEnabled Boolean | Is dynamic AP management enabled? Optional, default to false; ignored if isGuestLan is true.
interfaceName String | The name of the interface.
ipAddress InetAddress | The IP address for this interface. Ignored if isGuestLan is true.
isGuestLan Boolean | Is this a guest lan? Optional, defaults to false.
netMask InetAddress | The network mask for this interface. Ignored if isGuestLan is true.
portNum Integer | The primary port number.
primaryDhcpAddress InetAddress | The primary DHCP server address. Ignored if isGuestLan is true.
quarantineInterface Boolean | Is this a quarantined interface? Optional, defaults to false; ignored if isGuestLan is true.
quarantineVlanId Integer | The quarantine vlan id for this interface. Ignored if quarantineInterface is false.
secondaryDhcpAddress InetAddress | The secondary DHCP server address. Ignored if isGuestLan is true.
secondaryPortNum Integer | The secondary port number. Optional.
vlanId Integer | The vlan for this interface.

## Response Parameters

Attribute | Description
--- | ---
jobName String | The unique job name for this job.
jobType String | The non-unique job type for this job.

## Sample Payloads

Sample payloads are for information only. They are automatically generated and the values included may not be representative of actual valid data values.

### Sample XML Request Payload

https://10.64.88.203/webacs/api/v4/op/wlanProvisioning/interface

    <?xml version="1.0" ?>
    <interface>
      <controllerId>15</controllerId>
      <controllerName>String value</controllerName>
      <aclName>String value</aclName>
      <dhcpProtocolEnabled>true</dhcpProtocolEnabled>
      <gateway>
        <address>192.168.115.243</address>
      </gateway>
      <interfaceApManagementEnabled>true</interfaceApManagementEnabled>
      <interfaceName>String value</interfaceName>
      <ipAddress>
        <address>192.168.115.243</address>
      </ipAddress>
      <isGuestLan>true</isGuestLan>
      <netMask>
        <address>192.168.115.243</address>
      </netMask>
      <portNum>15</portNum>
      <primaryDhcpAddress>
        <address>192.168.115.243</address>
      </primaryDhcpAddress>
      <quarantineInterface>true</quarantineInterface>
      <quarantineVlanId>15</quarantineVlanId>
      <secondaryDhcpAddress>
        <address>192.168.115.243</address>
      </secondaryDhcpAddress>
      <secondaryPortNum>15</secondaryPortNum>
      <vlanId>15</vlanId>
    </interface>

### Sample JSON Request Payload

https://10.64.88.203/webacs/api/v4/op/wlanProvisioning/interface.json

    {
      "interface" : {
        "aclName" : "String value",
        "controllerId" : 15,
        "controllerName" : "String value",
        "dhcpProtocolEnabled" : true,
        "gateway" : {
          "address" : "192.168.115.243"
        },
        "interfaceApManagementEnabled" : true,
        "interfaceName" : "String value",
        "ipAddress" : {
          "address" : "192.168.115.243"
        },
        "isGuestLan" : true,
        "netMask" : {
          "address" : "192.168.115.243"
        },
        "portNum" : 15,
        "primaryDhcpAddress" : {
          "address" : "192.168.115.243"
        },
        "quarantineInterface" : true,
        "quarantineVlanId" : 15,
        "secondaryDhcpAddress" : {
          "address" : "192.168.115.243"
        },
        "secondaryPortNum" : 15,
        "vlanId" : 15
      }
    }

### Sample XML Response Payload

https://10.64.88.203/webacs/api/v4/op/wlanProvisioning/interface

    <?xml version="1.0" ?>
    <mgmtResponse responseType="operation" requestUrl="../../../../../pages/common/login.jsp.html" rootUrl="https://10.64.88.203/webacs/api/v4/op">
      <jobInformation>
        <jobName>String value</jobName>
        <jobType>String value</jobType>
      </jobInformation>
    </mgmtResponse>

### Sample JSON Response Payload

https://10.64.88.203/webacs/api/v4/op/wlanProvisioning/interface.json

    {
      "mgmtResponse" : {
        "@requestUrl" : "../../../../../pages/common/login.jsp.html",
        "@responseType" : "operation",
        "@rootUrl" : "https://10.64.88.203/webacs/api/v4/op",
        "jobInformation" : [ {
          "jobName" : "String value",
          "jobType" : "String value"
        } ]
      }
    }